<%@posts.each do |post|%>
  <div class ="card-header">
    <%= link_to user_path(post.user), class: "no-text-decoration" do %>
      <%= image_tag avatar_url(post.user), class: "post-author-icon"%>
      <% if current_user == post.user %>
        <%= link_to "delete", post_path(post.id), method: :delete, remote: true%>
      <% end %>
    <% end %>
    <%= link_to user_path(post.user), class: "normal-color no-text-decoration",title: post.user.name do %>
      <strong><%= post.user.name%></strong>
    <% end %>
  </div>
  <div class="card-body">
    <br>
    <%post.photos.each do |i| %>
      <img src=<%= i.image%> alt="Post.content" width="550" height="350">
    <% end %>
    <br>
    <div class="row actions">
      <div id = "like-icon-post-<%post.id.to_s%>" >
        <%if post.is_liked(current_user).present?%>
          <%= link_to "Love", like_path(post.is_liked(current_user)),method: :delete, remote: true, class: "core-sprite loved hide-text" %>
        <%else%>
          <%= link_to "loved", post_likes_path(post), method: :post, remote: true, class: "core-sprite love hide-text"%>
        <%end%>
      </div>
    </div>
    <div id="like-text-post-<% post.id.to_s%>">
      <strong><% post.likes.each.with_index do|like, index| %>
          <% if post.likes.size==1 %>
            <%= like.user.name%> Likes this <br>
          <% elsif like ==  post.likes.last %>
            <%= like.user.name%> Like this   <br>
          <% elsif index >1  %>
            <%="and" + (post.likes.size-index).to_s+ "others"%> like this <br>
            <%break%>
          <% elsif index==post.likes.size-2 || index==1 %>
            <%= like.user.name%> <br>
          <% else %>
            <%=like.user.name +","%>
          <% end %>
        <% end %>
      </strong>
      <span><strong><%= post.user.name%></strong></span>
      <span><%= post.content%></span>
    </div>
    <div class="light-color post-time"><%= time_ago_in_words(post.created_at).capitalize%> ago</div>
    <hr>
    <div class="comment-post">
      <% post.comments.each do |comment|%>
        <strong><%=comment.user.name%></strong>
        <%= comment.content%>
        <% if current_user == comment.user %>
          <%= link_to "delete", post_comment_path(post, comment), method: :delete, remote: true%>
        <% end %>
        <br>
      <% end %>
    </div>
    <div class="row actions">
      <%=form_with model: [Post, Comment], class: "w-100" do |form| %>
        <div class= "form-group row mt-2">
          <div class= "col-auto pr-0">
            <%=image_tag avatar_url(current_user), class:"post-author-icon "%>
          </div>
          <div class="col pl-0">
            <%=form.hidden_field :user_id, value: current_user.id%>
            <%=form.hidden_field :post_id, value: post.id%>
            <%=form.text_field :content, class: "form-control", placeholder: "Say Something about it.." %>
          </div>
        </div>
        <%=form.submit "Comment", class: "btn btn-xs btn-primary"%>
      <% end %>
    </div>
  </div>
<% end %>
